<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.system.mapper.ManageFactoryMapper">

    <update  id="deleteYiqiManageFactoryById" parameterType="Long">
        update manage_factory
        <trim prefix="SET" suffixOverrides=",">
            del_flag = 2 ,
            update_time = now()
        </trim>
        where id = #{id}
    </update>

    <update  id="deleteYiqiManageFactoryByIds" parameterType="String">
        update manage_factory
        <trim prefix="SET" suffixOverrides=",">
            del_flag = 2 ,
            update_time = now()
        </trim>
        where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </update>

</mapper>